Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AddressBooks

    java.lang.Object
      com.compoze.domino.AddressBooks

All Implemented Interfaces:
  java.io.Serializable

public class AddressBooks
extends java.lang.Object
implements java.io.Serializable

This class contains the methods used for address book manipulation.

See Also:
  Serialized Form

Method Summary
`AddressBook[]` | `serverGetAddressBooks()` Queries the server to get address books from the server.
`AddressBook[]` | `serverGetAddressBooks(java.lang.String sDAServerName)` Queries the Directory Assistance server to get address books from the server.
`AddressBook` | `serverGetNameAddressBook()` Queries the server to get the Name & Address Book.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serverGetAddressBooks

    public AddressBook[] serverGetAddressBooks()
                                        throws DominoException

  Queries the server to get address books from the server.

  Returns:
    an array of address books
  Throws:
    `DominoException`

### serverGetAddressBooks

    public AddressBook[] serverGetAddressBooks(java.lang.String sDAServerName)
                                        throws DominoException

  Queries the Directory Assistance server to get address books from the server.

  Returns:
    an array of address books
  Throws:
    `DominoException`

### serverGetNameAddressBook

    public AddressBook serverGetNameAddressBook()
                                         throws DominoException

  Queries the server to get the Name & Address Book.

  Returns:
    the Name & Address Book
  Throws:
    `DominoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.